/*
 * This file is part of the Owl Positioning System (OwlPS) project.
 * It is subject to the copyright notice and license terms in the
 * COPYRIGHT.t2t file found in the top-level directory of this
 * distribution and at
 *   https://code.lm7.fr/mcy/owlps/src/master/COPYRIGHT.t2t
 * No part of the OwlPS Project, including this file, may be copied,
 * modified, propagated, or distributed except according to the terms
 * contained in the COPYRIGHT.t2t file; the COPYRIGHT.t2t file must be
 * distributed along with this file, either separately or by replacing
 * this notice by the COPYRIGHT.t2t file's contents.
 */

#include <cxxtest/TestSuite.h>

#include "posutil.hh"

class PosUtil_test: public CxxTest::TestSuite
{
public:

  void test_wifi(void)
  {
    // Bad values
    TS_ASSERT_THROWS(PosUtil::wifi_channel_to_hz(0), bad_channel) ;
    TS_ASSERT_THROWS(PosUtil::wifi_channel_to_hz(15), bad_channel) ;

    // Good values
    for (unsigned int i = 1 ; i < 15 ; ++i)
      {
        TS_ASSERT(PosUtil::wifi_channel_to_hz(i) >= 2412000000ul) ;
        TS_ASSERT(PosUtil::wifi_channel_to_hz(i) <= 2477000000ul) ;
      }
  }

} ;
